<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [WaitForSelectorOptions](./puppeteer.waitforselectoroptions.md)

## WaitForSelectorOptions interface


<b>Signature:</b>

```typescript
export interface WaitForSelectorOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [hidden](./puppeteer.waitforselectoroptions.hidden.md) | boolean |  |
|  [timeout](./puppeteer.waitforselectoroptions.timeout.md) | number |  |
|  [visible](./puppeteer.waitforselectoroptions.visible.md) | boolean |  |

